## exmh 2.7.2

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,20 @@
 # Create a tar distribution for exmh
 
-# Remember to update exmh.install when changing version numbers.
+# To change the version,
+# change this variable and type "make version"
+VERSION=2.7.2
 
-VERSION=2.7.0
 RELDATE:=$(shell grep '^set date' ./exmh.install | cut -f3 -d" ")
 SNAPRELDATE:=$(shell /bin/date +%m/%d/%Y)
 SNAPDATE=`/bin/date +%Y%m%d`
 
-srctar: version realsrctar
+# Don't add "version" to the srctar production because it may
+# re-write files we've tinkered with by hand (e.g., lib/html/exmh.README.html)
+
+srctar: realsrctar
 
 realsrctar: htmltar
-	echo ./CVS > Tar.exclude
-	echo ./lib/CVS >> Tar.exclude
-	echo ./misc/CVS >> Tar.exclude
-	echo ./misc/RPM/CVS >> Tar.exclude
-	echo ./lib/html/CVS >> Tar.exclude
-	echo ./lib/bitmaps/CVS >> Tar.exclude
+	find . -name CVS > Tar.exclude
 	echo ./lib/html/Tar.exclude >> Tar.exclude
 	echo ./.exmhinstall >> Tar.exclude
 	echo ./Tar.exclude >> Tar.exclude
@@ -63,6 +62,7 @@
 	make realsrctar VERSION=$(VERSION)_$(SNAPDATE)
 
 version: 
+	./version.csh
 	./PatchVersion $(VERSION) < exmh.install > exmh.install.new
 	mv exmh.install.new exmh.install
