## exmh 2.8.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # To change the version,
 # change this variable and type "make version"
-VERSION=2.7.2
+VERSION=2.8.0
 
 RELDATE:=$(shell grep '^set date' ./exmh.install | cut -f3 -d" ")
 SNAPRELDATE:=$(shell /bin/date +%m/%d/%Y)
@@ -67,10 +67,10 @@
 	mv exmh.install.new exmh.install
 
 ftpdist:
-	scp exmh-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
-	scp html-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
-	scp exmh.README www:~ftp/pub/tcl/exmh
-	scp lib/html/exmh.README.html www:~ftp/pub/tcl/exmh
+	scp exmh-$(VERSION).tar.gz www.tcl.tk:~ftp/pub/tcl/exmh
+	scp html-$(VERSION).tar.gz www.tcl.tk:~ftp/pub/tcl/exmh
+	scp exmh.README www.tcl.tk:~ftp/pub/tcl/exmh
+	scp lib/html/exmh.README.html www.tcl.tk:~ftp/pub/tcl/exmh
 
 htmltar:
 	echo CVS > lib/html/Tar.exclude
