=== debian/changelog ===
exmh (1:2.8.0-5) unstable; urgency=low

  * lifted standards version, updated build rules 
    for reproducible builds (closes: #776953)

 -- Alexander Zangerl <az@debian.org>  Thu, 05 Feb 2015 22:32:50 +1000

exmh (1:2.8.0-4) unstable; urgency=low

  * changed tcl/tk dependencies to unversioned metapackage (closes: #725688) 

 -- Alexander Zangerl <az@debian.org>  Tue, 08 Oct 2013 13:10:21 +1000

exmh (1:2.8.0-3) unstable; urgency=low

  * changed to quilt 3.0 source format (closes: #671642)
  * reviewed some ancient bug reports (closes: #342510)

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 12:49:03 +1000

exmh (1:2.8.0-2) unstable; urgency=low

  * applied a few patches from upstream cvs for better
    compatibility with tcl/tk8.6.

 -- Alexander Zangerl <az@debian.org>  Wed, 11 Sep 2013 22:33:53 +1000

exmh (1:2.8.0-1) unstable; urgency=low

  * lifted standards version
  * removed some minor packaging gotchas, 
    removed long-dead metamail, expectk, pgp from dependencies
    cleaned the uploaders list (closes: #717062)

 -- Alexander Zangerl <az@debian.org>  Wed, 17 Jul 2013 20:39:26 +1000

exmh (1:2.8.0~rc1-2) unstable; urgency=low

  * fixed MDN content, now uses correct hostname
    also rfc-compliant when used with nmh 1.5++


 -- Alexander Zangerl <az@debian.org>  Mon, 21 May 2012 20:13:55 +1000

exmh (1:2.8.0~rc1-1) unstable; urgency=low

  * New upstream release (a "candidate release" which is nevertheless
    rock-solid and ready for daily use)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Apr 2012 18:52:17 +1000

exmh (1:2.7.2-24) unstable; urgency=low

  * made collection of audit log a configurable option
  * added fix for unsuitable gpg algorithm preferences
  * repaired date/time pattern that broke address db expiration

 -- Alexander Zangerl <az@debian.org>  Fri, 20 Jan 2012 19:23:39 +1000

exmh (1:2.7.2-23) unstable; urgency=low

  * reworked spell checking functionality and improved docs.
    main spell checking options are now all on the sedit preferences
    page. now provide better integration for i-spell module. 

 -- Alexander Zangerl <az@debian.org>  Sun, 24 Apr 2011 13:21:40 +1000

exmh (1:2.7.2-22) unstable; urgency=low

  * fix for tk8.5's troubles with not-quite-xlfd fontnames like 'fixed'
    tk now interprets this as a font face, not an xlfd shortcut, and
    you get messed up fonts (mainly way too large).
    the fix is to recreate "fixed" as a tk named font for tk 8.5++.
    
 -- Alexander Zangerl <az@debian.org>  Fri, 01 Apr 2011 01:06:59 +1000

exmh (1:2.7.2-21) unstable; urgency=low

  * applied patch for broken handling 
    of some rfc2369 list-* headers

 -- Alexander Zangerl <az@debian.org>  Thu, 02 Sep 2010 12:42:40 +1000

exmh (1:2.7.2-20) unstable; urgency=low

  * developed fix for incorrectly escaped "<" when editing
    text/enriched mails (closes: #175193)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Aug 2010 18:18:55 +1000

exmh (1:2.7.2-19) unstable; urgency=low

  * pulled in some cvs fixes for cooperation with tcl 8.5 
  * lifted standards version
  * updated dependencies a little

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Aug 2010 14:17:44 +1000

exmh (1:2.7.2-18) unstable; urgency=low

  * set hostname on non-bash shells (closes: #530077)

 -- Alexander Zangerl <az@debian.org>  Sun, 24 May 2009 13:20:55 +1000

exmh (1:2.7.2-17) unstable; urgency=low

  * gpg uses gpg.conf as configfile nowadays (was: options)
    exmh needs to look for the correct file (closes: #510834)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Thu,  8 Jan 2009 12:02:37 +1000

exmh (1:2.7.2-16) unstable; urgency=low

  * reworked recode support.

 -- Alexander Zangerl <az@debian.org>  Wed, 18 Jun 2008 21:56:06 +1000

exmh (1:2.7.2-15) unstable; urgency=low

  * added option for better gpg-agent support

 -- Alexander Zangerl <az@debian.org>  Fri, 13 Jun 2008 19:48:09 +1000

exmh (1:2.7.2-14) unstable; urgency=low

  * applied patch for fd leakage from Marion Hakanson:
    using the internal mime qp/base64 decoder caused file descriptors
    to be leaked.
  * added recommendation for recode or metamail: the internal qp/base64 decoder
    is woefully slow; metamail's mimencode was the perfect, tiny tool and
    nothing else in debian is currently a/v to do this job :-(
    the exmh code was changed to prefer recode, fall back to mimencode
    or use the internal decoder as a final fallback.

 -- Alexander Zangerl <az@debian.org>  Sat, 31 May 2008 20:25:47 +1000

exmh (1:2.7.2-13) unstable; urgency=low

  * lifted the standards version, cleaned up control file
  * updated menu category, fixed some manpage warnings
  * minor fix to make links in inline-displayed html clickable,
    consolidated the status display for hovering over urls

 -- Alexander Zangerl <az@debian.org>  Thu, 28 Feb 2008 10:54:24 +1000

exmh (1:2.7.2-12) unstable; urgency=low

  * removed dependency on metamail. we're not losing anything,
    exmh has reasonable mailcap handling built-in anyway.

 -- Alexander Zangerl <az@debian.org>  Wed, 12 Dec 2007 11:45:50 +1000

exmh (1:2.7.2-11) unstable; urgency=low

  * fixed obnoxious scan cache corruption bug

 -- Alexander Zangerl <az@debian.org>  Sun,  1 Jul 2007 13:29:56 +1000

exmh (1:2.7.2-10) unstable; urgency=low

  * added watch file, updated standards version
  * updated menu location

 -- Alexander Zangerl <az@debian.org>  Tue, 10 Apr 2007 18:46:53 +1000

exmh (1:2.7.2-9) unstable; urgency=low

  * fixing problem with stdin/filepath option for the spam learner programs
     which was reintroduced with the last version.
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Thu, 16 Nov 2006 12:28:53 +1000

exmh (1:2.7.2-8) unstable; urgency=low

  * pulled in latest CVS fixes 
  * added glimpse scope option to preferences
  
 -- Alexander Zangerl <az@debian.org>  Mon, 13 Nov 2006 14:25:50 +1000

exmh (1:2.7.2-7) unstable; urgency=low


