=== debian/control ===
Source: exmh
Section: mail
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Standards-Version: 3.9.6


Package: exmh
Architecture: all
Depends: tk | wish, tcl | tclsh, nmh | mh, mime-support, xterm
Suggests: expect, compface, gnupg, file, mh-book
Recommends: recode
Homepage: http://www.exmh.org/
Description: extensible X user interface for MH mail
 Exmh uses the regular MH programs to manipulate your mail folders and
 messages.  This means it is compatible with command-line use of MH
 programs, and its actions should be familiar if you are an experienced
 MH user.  If you are a new MH user, then the details of running MH
 programs are hidden behind the graphical interface.
