=== debian/watch ===
version=3
ftp://ftp.tcl.tk/pub/tcl/exmh/exmh-(.+)\.tar\.gz
