## exmh 2.9.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # To change the version,
 # change this variable and type "make version"
-VERSION=2.8.0
+VERSION=2.9.0
 
 RELDATE:=$(shell grep '^set date' ./exmh.install | cut -f3 -d" ")
 SNAPRELDATE:=$(shell /bin/date +%m/%d/%Y)
@@ -14,7 +14,7 @@
 srctar: realsrctar
 
 realsrctar: htmltar
-	find . -name CVS > Tar.exclude
+	find . -name .git > Tar.exclude
 	echo ./lib/html/Tar.exclude >> Tar.exclude
 	echo ./.exmhinstall >> Tar.exclude
 	echo ./Tar.exclude >> Tar.exclude
@@ -61,8 +61,8 @@
 snaptar:
 	make realsrctar VERSION=$(VERSION)_$(SNAPDATE)
 
-version: 
-	./version.csh
+version:
+	./version.bash
 	./PatchVersion $(VERSION) < exmh.install > exmh.install.new
 	mv exmh.install.new exmh.install
