=== debian/changelog ===
exmh (1:2.9.0-8) unstable; urgency=high

  * adjust control for dpkg rootless (closes: #1089321)

 -- Alexander Zangerl <az@debian.org>  Sun, 08 Dec 2024 11:11:57 +1000

exmh (1:2.9.0-7) unstable; urgency=medium

  * added support for fulltext searching with recoll

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Sep 2024 11:10:40 +1000

exmh (1:2.9.0-6) unstable; urgency=medium

  * applied Dale Carstensen's patch that fixes the html state/tag
    issue that appeared with tcl/tk 8.6.11+

 -- Alexander Zangerl <az@debian.org>  Mon, 19 Sep 2022 19:27:48 +1000

exmh (1:2.9.0-5) unstable; urgency=medium

  * adjusted dependencies (closes: #1010323)

 -- Alexander Zangerl <az@debian.org>  Sun, 01 May 2022 18:43:28 +1000

exmh (1:2.9.0-4) unstable; urgency=medium

  * code improvements in mime.tcl, save attachments now works again

 -- Alexander Zangerl <az@debian.org>  Sat, 12 Feb 2022 16:23:46 +1000

exmh (1:2.9.0-3) unstable; urgency=medium

  * minor amendments to reflect that brent welch isn't involved
    with exmh anymore (e.g. no more email registration option)

 -- Alexander Zangerl <az@debian.org>  Thu, 14 Oct 2021 20:29:31 +1000

exmh (1:2.9.0-2) unstable; urgency=medium

  * adjusted code to work with any package providing x-terminal-emulator,
    not just classic xterm itself

 -- Alexander Zangerl <az@debian.org>  Wed, 09 Oct 2019 18:41:57 +1000

exmh (1:2.9.0-1) unstable; urgency=medium

  * new upstream release
  * lifted standards version, updated watch file

 -- Alexander Zangerl <az@debian.org>  Wed, 14 Nov 2018 14:21:22 +1000

exmh (1:2.8.0-7) unstable; urgency=low

  * updated gpg code to use long keyids instead of
    truncating to the short 8-char format.
  * lifted standards version
  * suggest glimpse (now back in main)

 -- Alexander Zangerl <az@debian.org>  Fri, 24 Mar 2017 17:02:00 +1000

exmh (1:2.8.0-6) unstable; urgency=low

  * sound is now disabled by default (closes: #823026)
  * fixed build rules to ship the existing NEWS.debian
  * small adjustment in html display wrt font choice

 -- Alexander Zangerl <az@debian.org>  Sun, 01 May 2016 12:05:41 +1000
