=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: mail
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3.0
+Rules-Requires-Root: binary-targets
 
 
 Package: exmh
 Architecture: all
-Depends: tk | wish, tcl | tclsh, nmh | mh, mime-support, xterm
-Suggests: expect, compface, gnupg, file, mh-book
+Depends: tk | wish, tcl | tclsh, nmh | mh, mailcap, xterm | x-terminal-emulator
+Suggests: expect, compface, gnupg, file, mh-book, recollcmd, glimpse
 Recommends: recode
 Homepage: http://www.exmh.org/
 Description: extensible X user interface for MH mail
