=== debian/rules ===
--- 
+++ 
@@ -87,13 +87,13 @@
 	$(INSTALL_DATA) debian/copyright $(DSTDIR)/usr/share/doc/exmh/copyright
 	$(INSTALL_DATA) debian/changelog $(DSTDIR)/usr/share/doc/exmh/changelog.Debian
 	$(INSTALL_DATA) exmh.CHANGES $(DSTDIR)/usr/share/doc/exmh/changelog
-	gzip -9n $(DSTDIR)/usr/share/doc/exmh/changelog*
 
-	$(INSTALL_DATA) debian/README.debian $(DSTDIR)/usr/share/doc/exmh
+	$(INSTALL_DATA) debian/README.Debian debian/NEWS.Debian $(DSTDIR)/usr/share/doc/exmh
 	$(INSTALL_DATA) exmh.README $(DSTDIR)/usr/share/doc/exmh/README
+	gzip -9n $(DSTDIR)/usr/share/doc/exmh/changelog* $(DSTDIR)/usr/share/doc/exmh/NEWS.Debian
 
 # build the run-time package
-	dpkg-gencontrol -isp
+	dpkg-gencontrol
 	find '$(DSTDIR)' -depth -newermt '$(BUILD_DATE)' -print0 | \
 	xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
